# WebMercatorTilingScheme

#### new Cesium.WebMercatorTilingScheme(options)
Core/WebMercatorTilingScheme.js 31

A tiling scheme for geometry referenced to a `WebMercatorProjection`, EPSG:3857. This is the tiling scheme used by Google Maps, Microsoft Bing Maps, and most of ESRI ArcGIS Online.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid whose surface is being tiled. Defaults to the WGS84 ellipsoid.
`numberOfLevelZeroTilesX` | Number | `1` | optional The number of tiles in the X direction at level zero of the tile tree.
`numberOfLevelZeroTilesY` | Number | `1` | optional The number of tiles in the Y direction at level zero of the tile tree.
`rectangleSouthwestInMeters` | Cartesian2 |  | optional The southwest corner of the rectangle covered by the tiling scheme, in meters. If this parameter or rectangleNortheastInMeters is not specified, the entire globe is covered in the longitude direction and an equal distance is covered in the latitude direction, resulting in a square projection.
`rectangleNortheastInMeters` | Cartesian2 |  | optional The northeast corner of the rectangle covered by the tiling scheme, in meters. If this parameter or rectangleSouthwestInMeters is not specified, the entire globe is covered in the longitude direction and an equal distance is covered in the latitude direction, resulting in a square projection.

### Members

#### ellipsoid : Ellipsoid
Core/WebMercatorTilingScheme.js 80

Gets the ellipsoid that is tiled by this tiling scheme.

#### projection : MapProjection
Core/WebMercatorTilingScheme.js 102

Gets the map projection used by this tiling scheme.

#### rectangle : Rectangle
Core/WebMercatorTilingScheme.js 91

Gets the rectangle, in radians, covered by this tiling scheme.

### Methods

#### getNumberOfXTilesAtLevel(level) → Number
Core/WebMercatorTilingScheme.js 115

Gets the total number of tiles in the X direction at a specified level-of-detail.

Name | Type | Description
--- | --- | ---
`level` | Number | The level-of-detail.

##### Returns:

The number of tiles in the X direction at the given level.

#### getNumberOfYTilesAtLevel(level) → Number
Core/WebMercatorTilingScheme.js 125

Gets the total number of tiles in the Y direction at a specified level-of-detail.

Name | Type | Description
--- | --- | ---
`level` | Number | The level-of-detail.

##### Returns:

The number of tiles in the Y direction at the given level.

#### positionToTileXY(position, level, result) → Cartesian2
Core/WebMercatorTilingScheme.js 247

Calculates the tile x, y coordinates of the tile containing a given cartographic position.

Name | Type | Description
--- | --- | ---
`position` | Cartographic | The position.
`level` | Number | The tile level-of-detail. Zero is the least detailed.
`result` | Cartesian2 | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The specified 'result', or a new object containing the tile x, y coordinates if 'result' is undefined.

#### rectangleToNativeRectangle(rectangle, result) → Rectangle
Core/WebMercatorTilingScheme.js 139

Transforms a rectangle specified in geodetic radians to the native coordinate system of this tiling scheme.

Name | Type | Description
--- | --- | ---
`rectangle` | Rectangle | The rectangle to transform.
`result` | Rectangle | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The specified 'result', or a new object containing the native rectangle if 'result' is undefined.

#### tileXYToNativeRectangle(x, y, level, result) → Rectangle
Core/WebMercatorTilingScheme.js 170

Converts tile x, y coordinates and level to a rectangle expressed in the native coordinates of the tiling scheme.

Name | Type | Description
--- | --- | ---
`x` | Number | The integer x coordinate of the tile.
`y` | Number | The integer y coordinate of the tile.
`level` | Number | The tile level-of-detail. Zero is the least detailed.
`result` | Object | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The specified 'result', or a new object containing the rectangle if 'result' is undefined.

#### tileXYToRectangle(x, y, level, result) → Rectangle
Core/WebMercatorTilingScheme.js 213

Converts tile x, y coordinates and level to a cartographic rectangle in radians.

Name | Type | Description
--- | --- | ---
`x` | Number | The integer x coordinate of the tile.
`y` | Number | The integer y coordinate of the tile.
`level` | Number | The tile level-of-detail. Zero is the least detailed.
`result` | Object | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The specified 'result', or a new object containing the rectangle if 'result' is undefined.